import { EasingType, assertValidVersion } from "@tsparticles/engine";
export async function loadEasingSinePlugin(engine, refresh = true) {
    assertValidVersion(engine, "3.7.1");
    await engine.addEasing(EasingType.easeInSine, value => 1 - Math.cos((value * Math.PI) / 2), false);
    await engine.addEasing(EasingType.easeOutSine, value => Math.sin((value * Math.PI) / 2), false);
    await engine.addEasing(EasingType.easeInOutSine, value => -(Math.cos(Math.PI * value) - 1) / 2, false);
    await engine.refresh(refresh);
}
