(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadEasingSinePlugin = loadEasingSinePlugin;
    const engine_1 = require("@tsparticles/engine");
    async function loadEasingSinePlugin(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addEasing(engine_1.EasingType.easeInSine, value => 1 - Math.cos((value * Math.PI) / 2), false);
        await engine.addEasing(engine_1.EasingType.easeOutSine, value => Math.sin((value * Math.PI) / 2), false);
        await engine.addEasing(engine_1.EasingType.easeInOutSine, value => -(Math.cos(Math.PI * value) - 1) / 2, false);
        await engine.refresh(refresh);
    }
});
